'''Argument parser
Copyright (c) Jan Varho 2013
See README.txt for licensing'''

import audio

noparsing = 0
fullscreen = False
resolution = (1024, 768)

try:
    import argparse
except ImportError, e:
    noparsing = 1

def args(desc):
    if noparsing:
        return
    parser = argparse.ArgumentParser(description = desc,
                                formatter_class = argparse.RawTextHelpFormatter)
    parser.add_argument('-f', '--fullscreen', action = 'store_true',
                        help = 'fullscreen with scaling to native resolution')
    parser.add_argument('-m', '--mute', action = 'store_true',
                        help = 'no audio, avoids even initializing a device')
    parser.add_argument('-w', '--widescreen', action = 'store_true',
                        help = '1280x720 resolution (default 1024x768)')
    o = parser.parse_args()
    global fullscreen, resolution
    fullscreen = True if o.fullscreen else False
    audio.noaudio = True if o.mute else False
    resolution = (1280, 720) if o.widescreen else (1024, 768)

